Bug 177931

Summary: AX: [ATK] STATE_CHECKABLE should be removed from radio buttons in radiogroups with aria-readonly="true"
Product: WebKit Reporter: Joanmarie Diggs (irc: joanie) <jdiggs>
Component: AccessibilityAssignee: Joanmarie Diggs (irc: joanie) <jdiggs>
Status: RESOLVED FIXED    
Severity: Normal CC: aboxhall, apinheiro, buildbot, cfleizach, commit-queue, dmazzoni, jcraig, samuel_white, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: Linux   
Attachments:
Description Flags
Patch none

Description Joanmarie Diggs (irc: joanie) 2017-10-05 04:13:05 PDT
Radio buttons in a readonly ARIA radiogroup should not claim to be settable/checkable, as per the Core AAM:
https://rawgit.com/w3c/aria/master/core-aam/core-aam.html#ariaReadonlyTrue
Comment 1 Radar WebKit Bug Importer 2017-10-05 04:13:25 PDT
<rdar://problem/34831213>
Comment 2 Joanmarie Diggs (irc: joanie) 2017-10-05 04:18:36 PDT
Created attachment 322820 [details]
Patch
Comment 3 chris fleizach 2017-10-09 09:34:38 PDT
Comment on attachment 322820 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=322820&action=review

> Source/WebCore/accessibility/AccessibilityNodeObject.cpp:2107
> +        return radioGroup ? radioGroup->ariaReadOnlyValue() != "true" : true;

do we want to do equalIgnoringCase() for the != true
Comment 4 Joanmarie Diggs (irc: joanie) 2017-10-10 01:26:13 PDT
(In reply to chris fleizach from comment #3)
> Comment on attachment 322820 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=322820&action=review
> 
> > Source/WebCore/accessibility/AccessibilityNodeObject.cpp:2107
> > +        return radioGroup ? radioGroup->ariaReadOnlyValue() != "true" : true;
> 
> do we want to do equalIgnoringCase() for the != true

In this case I don't believe it is necessary: ariaReadOnlyValue() applies convertToASCIILowercase() to the value being returned.
Comment 5 WebKit Commit Bot 2017-10-10 01:55:22 PDT
Comment on attachment 322820 [details]
Patch

Clearing flags on attachment: 322820

Committed r223126: <http://trac.webkit.org/changeset/223126>
Comment 6 WebKit Commit Bot 2017-10-10 01:55:24 PDT
All reviewed patches have been landed.  Closing bug.